/*
 * Mbuni - Open  Source MMS Gateway 
 * 
 * MMSBOX CFG: MMC configuration and misc. functions
 * 
 * Copyright (C) 2003 - 2005, Digital Solutions Ltd. - http://www.dsmagic.com
 *
 * Paul Bagyenda <bagyenda@dsmagic.com>
 * 
 * This program is free software, distributed under the terms of
 * the GNU General Public License, with a few exceptions granted (see LICENSE)
 */
#ifndef __MMSBOX_INCLUDED__
#define __MMSBOX_INCLUDED__
#include "mmsbox_cfg.h"

extern int rstop;
void mms_dlr_url_put(Octstr *msgid, char *rtype, Octstr *mmc_id, Octstr *dlr_url);
Octstr *mms_dlr_url_get(Octstr *msgid, char *rtype, Octstr *mmc_id);
void mms_dlr_url_remove(Octstr *msgid, char *rtype, Octstr *mmc_id);
void mmsc_receive_func(MmscGrp *m);
void mmsbox_outgoing_queue_runner(int *rstop);

/* Fetch content given method. also understands data: url scheme. */
int mmsbox_url_fetch_content(int method, Octstr *url, List *request_headers, 
			      Octstr *body, List **reply_headers, Octstr **reply_body);
#endif
